Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rule Solver API GAIA (v1)

Solve a rule on GAIA solver and get the result in the same call.

Solver GAIA (v1) is no longer developed, and new features are released only on AERO (v2). We recommend moving to Rule Solver API v2. See Rule Solver API Migration to learn how.

This page describes version 1 (GAIA) of the Rule Solver API. It remains available for existing integrations.

Swagger

You can check out these endpoints and call them right away using swagger.

Swagger UI: https://api.decisionrules.io/api/solver/docs

Swagger JSON File: https://api.decisionrules.io/api/solver/docs/json

Solve Rule (v1 Gaia)

post

Solves the rule on solver v1 (Gaia). If the {ruleVersion} parameter is omitted from the path, the last published rule version will be used automatically.

Authorizations
AuthorizationstringRequired

Please insert: "Bearer <SOLVER_API_KEY>" into Authorization header.

Path parameters
ruleIdstringRequired

Unique identifier for the rule that is common to all rule versions. Instead of rule ID, it is possible to use a rule alias.

ruleVersionintegerOptional

Rule version. If not provided, the latest published version is used.

Header parameters
Content-TypestringOptional

The media type of the request body.

Example: application/json
X-Strategystring · enumOptional

Execution strategy used to evaluate the rule. See Execution Strategy.

Example: STANDARDPossible values:
X-Lookup-Methodstring · enumOptional

Lookup method, used only with Lookup Tables.

Possible values:
X-Correlation-IdstringOptional

Correlation ID, if you'd like to set it manually. If not present, it will be generated automatically and returned in the response.

X-Debugstring · enumOptional

On-premise deployments only: set to true to solve rules with the status pending. On DecisionRules Cloud this header has no effect.

Possible values:
X-Auditstring · enumOptional

Whether to create and save an audit of the solve.

Example: truePossible values:
X-Audit-TtlstringOptional

Number of days after which the audit will be deleted. Default is 14 days.

Example: 14
Body
dataobjectOptional

JSON object that describes the input json data.

optionsobjectOptional

Object specifying solver options.

Responses
200

OK

application/json
Responseobject[]
post/rule/v1/solve/{ruleId}/{ruleVersion}
POST /rule/v1/solve/{ruleId}/{ruleVersion} HTTP/1.1
Host: api.decisionrules.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "data": {
    "monthlySalaryInDollars": 2000,
    "typeOfContract": "employee"
  },
  "options": {}
}
[
  {
    "car": {
      "price": "666666",
      "seats": {},
      "discount": {
        "low": "2",
        "high": "33"
      }
    }
  }
]

Solve Rule

post

The original path without a solver version. It runs on solver v1. If the {ruleVersion} parameter is omitted from the path, the last published rule version will be used automatically.

Authorizations
AuthorizationstringRequired

Please insert: "Bearer <SOLVER_API_KEY>" into Authorization header.

Path parameters
ruleIdstringRequired

Unique identifier for the rule that is common to all rule versions. Instead of rule ID, it is possible to use a rule alias.

ruleVersionintegerOptional

Rule version. If not provided, the latest published version is used.

Header parameters
Content-TypestringOptional

The media type of the request body.

Example: application/json
X-Strategystring · enumOptional

Execution strategy used to evaluate the rule. See Execution Strategy.

Example: STANDARDPossible values:
X-Lookup-Methodstring · enumOptional

Lookup method, used only with Lookup Tables.

Possible values:
X-Correlation-IdstringOptional

Correlation ID, if you'd like to set it manually. If not present, it will be generated automatically and returned in the response.

X-Debugstring · enumOptional

On-premise deployments only: set to true to solve rules with the status pending. On DecisionRules Cloud this header has no effect.

Possible values:
X-Auditstring · enumOptional

Whether to create and save an audit of the solve.

Example: truePossible values:
X-Audit-TtlstringOptional

Number of days after which the audit will be deleted. Default is 14 days.

Example: 14
Body
dataobjectOptional

JSON object that describes the input json data.

optionsobjectOptional

Object specifying solver options.

Responses
200

OK

application/json
Responseobject[]
post/rule/solve/{ruleId}/{ruleVersion}
POST /rule/solve/{ruleId}/{ruleVersion} HTTP/1.1
Host: api.decisionrules.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "data": {
    "monthlySalaryInDollars": 2000,
    "typeOfContract": "employee"
  },
  "options": {}
}
[
  {
    "car": {
      "price": "666666",
      "seats": {},
      "discount": {
        "low": "2",
        "high": "33"
      }
    }
  }
]

Last updated

Was this helpful?